#include "cloud_clustering.hpp"

int main(int argc, char * argv[])
{
    // Force flush of the stdout buffer.
    // This ensures a correct sync of all prints
    // even when executed simultaneously within a launch file.
    setvbuf(stdout, NULL, _IONBF, BUFSIZ);
    
    rclcpp::init(argc, argv);
    const rclcpp::NodeOptions options;

    rclcpp::spin(std::make_shared<cloud_clustering::CloudClustering>(options));
    
    rclcpp::shutdown();
    return 0;
}
